Public Member Functions | Protected Attributes | Related Functions

# Clutter::Geometry Class Reference

List of all members.

## Public Member Functions
| Geometry ()
| Geometry (const ClutterGeometry* gobject)
ClutterGeometry* | gobj ()
| Provides access to the underlying C instance.
const ClutterGeometry* | gobj () const
| Provides access to the underlying C instance.
| Geometry (int x, int y, guint width=0, guint height=0)
int | get_x () const
void | set_x (int x)
int | get_y () const
void | set_y (int y)
void | set_xy (int x, int y)
guint | get_width () const
void | set_width (guint width)
guint | get_height () const
void | set_height (guint height)
void | set_size (guint width, guint height)
## Protected Attributes
ClutterGeometry | gobject_
## Related Functions
(Note that these are not member functions.)
Clutter::Geometry& | wrap (ClutterGeometry* object)
const Clutter::Geometry& | wrap (const ClutterGeometry* object)

## Constructor & Destructor Documentation

Clutter::Geometry::Geometry | ( |  | ) |

Clutter::Geometry::Geometry | ( | const ClutterGeometry * | gobject | ) | `[explicit]`

Clutter::Geometry::Geometry | ( | int | x,
|  | int | y,
|  | guint | width = `0`,
|  | guint | height = `0` |
| ) |  |  |

## Member Function Documentation

guint Clutter::Geometry::get_height | ( |  | ) | const

guint Clutter::Geometry::get_width | ( |  | ) | const

int Clutter::Geometry::get_x | ( |  | ) | const

int Clutter::Geometry::get_y | ( |  | ) | const

const ClutterGeometry* Clutter::Geometry::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

ClutterGeometry* Clutter::Geometry::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

void Clutter::Geometry::set_height | ( | guint | height | ) |

void Clutter::Geometry::set_size | ( | guint | width,
|  | guint | height |
| ) |  |  |

void Clutter::Geometry::set_width | ( | guint | width | ) |

void Clutter::Geometry::set_x | ( | int | x | ) |

void Clutter::Geometry::set_xy | ( | int | x,
|  | int | y |
| ) |  |  |

void Clutter::Geometry::set_y | ( | int | y | ) |

## Friends And Related Function Documentation

Clutter::Geometry& wrap | ( | ClutterGeometry * | object | ) | `[related]`

Parameters:

  | object | The C instance

Returns:
  A C++ instance that wraps this C instance.

const Clutter::Geometry& wrap | ( | const ClutterGeometry * | object | ) | `[related]`

Parameters:

  | object | The C instance

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

ClutterGeometry Clutter::Geometry::gobject_`[protected]`

The documentation for this class was generated from the following file:

- cluttermm/types.h